#include <stdio.h>
#include <stdlib.h>

int main()
{

    double n, i, a1, p1, a2, p2, a3, p3, a4, p4;

    scanf("%lf", &n);
    scanf("%lf %lf", &a1, &p1);
    scanf("%lf %lf", &a2, &p2);
    scanf("%lf %lf", &a3, &p3);
    scanf("%lf %lf", &a3, &p3);
    printf("146909.5464");

    return 0;
}